package de.ozgcloud.eingang.formsolutions;

import java.io.File;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.ozgcloud.common.binaryfile.FileDataDeserializer;
import lombok.Builder;
import lombok.Getter;
import lombok.extern.jackson.Jacksonized;

@Getter
@Builder
@Jacksonized
public class FormSolutionsEingang {

	private Map<String, Object> assistant;

	private String postkorbhandle;
	private String kommunalverwaltungId;
	private String transactionId;
	private String zustaendigeStelle;
	@JsonProperty("gemeindeschlüssel")
	private String gemeindeSchluessel;
	private String anliegenId;

	@JsonDeserialize(using = FileDataDeserializer.class)
	private File pdf;
	@JsonDeserialize(using = FileDataDeserializer.class)
	private File zip;
}
