package de.ozgcloud.eingang.xta;

import static de.ozgcloud.eingang.xta.XtaMessageTestFactory.*;

import java.time.ZonedDateTime;

class XtaMessageMetaDataTestFactory {

	static final String MESSAGE_TYPE = "Geschaeftsgang.Geschaeftsgang.0201";
	static final String FIM_MESSAGE_TYPE = "fim.S17000652.17000652001004";
	static final ZonedDateTime ORIGIN = ZonedDateTime.parse("2022-10-29T15:45:52.4942149+02:00");

	static XtaMessageMetaData create() {
		return createBuilder().build();
	}

	static XtaMessageMetaData.XtaMessageMetaDataBuilder createBuilder() {
		return XtaMessageMetaData.builder()
				.messageId(MESSAGE_ID)
				.messageType(MESSAGE_TYPE)
				.origin(ORIGIN);
	}

	static XtaMessageMetaData createFim() {
		return createFimBuilder().build();
	}

	static XtaMessageMetaData.XtaMessageMetaDataBuilder createFimBuilder() {
		return XtaMessageMetaData.builder()
				.messageId(MESSAGE_ID)
				.messageType(FIM_MESSAGE_TYPE)
				.origin(ORIGIN);
	}
}
